@echo off

@echo.
@echo.
@echo          *****************************************************************************
@echo          *   This tool will help you migrate Sitecore membership data from your      *
@echo          *   core database to your new security database.                            *
@echo          *   You need to provide connection details to the server where both         *
@echo          *   databases exists. Inter-instance migration is not supported.            *
@echo          *   Defualt values are:                                                     *
@echo          *                                                                           *
@echo          *        ----------------------------------------------------------------   *
@echo          *        ^| Server ^| User ^| Password ^| Old Database  ^| New Database      ^|   *
@echo          *        ---------------------------------------------------------------    *
@echo          *        ^| .      ^| sa   ^| 12345    ^| Sitecore.Core ^| Sitecore.Security ^|   *
@echo          *        ----------------------------------------------------------------   *
@echo          *                                                                           *
@echo          *****************************************************************************
@echo. 
@echo.
@echo Please provide connection details:


set /p server="Server [.]: "
set /p user="User [sa]: "
set /p pass="Password [12345]: "
set /p oldDb="Old database [Sitecore.Core]: "
set /p newDb="New database [Sitecore.Security]: "

if "%server%" equ "" set "server=."
if "%user%" equ "" set "user=sa"
if "%pass%" equ "" set "pass=12345"
if "%oldDb%" equ "" set "oldDb=Sitecore.Core"
if "%newDb%" equ "" set "newDb=Sitecore.Security"

if not exist logs (mkdir logs)

@echo "Executing... %oldDb% --> %newDb% Server=%server% User=%user%"
sqlcmd -S %server% -U %user% -P %pass% -v FromDatabase="%oldDb%" ToDatabase="%newDb%" -i ".\scripts\Sitecore.Security_DataMigrate.sql" -o logs\migrate.log

type logs\migrate.log

set "server="
set "user="
set "pass="
set "oldDb="
set "newDb="

pause