@echo off

@echo.
@echo.
@echo          **************************************************************************
@echo          *   This tool will help you drop Sitecore membership objects             *
@echo          *   from your database.                                                  *
@echo          *   You need to provide connection details.                              *
@echo          *   Defualt values are:                                                  *
@echo          *                                                                        *
@echo          *        ------------------------------------------------------------    *
@echo          *        ^| Server ^| User ^| Password ^| Database name                 ^|    *
@echo          *        ------------------------------------------------------------    *
@echo          *        ^| .      ^| sa   ^| 12345    ^| Sitecore.Core                 ^|    *
@echo          *        ------------------------------------------------------------    *
@echo          *                                                                        *
@echo          **************************************************************************
@echo. 
@echo.
@echo Please provide connection details:
set /p server="Server [.]: "
set /p user="User [sa]: "
set /p pass="Password [12345]: "
set /p db="Database name [Sitecore.Core]: "

if "%server%" equ "" set "server=."
if "%user%" equ "" set "user=sa"
if "%pass%" equ "" set "pass=12345"
if "%db%" equ "" set "db=Sitecore.Core"

if not exist logs (mkdir logs)

@echo "Executing... Server=%server% Database=%db% User name=%user%"
sqlcmd -S %server% -U %user% -P %pass% -v DatabaseName="%db%" DefaultFilePrefix="%db%" -i ".\scripts\Sitecore.Security_Drop.sql" -o logs\drop.log

type logs\drop.log

set "server="
set "user="
set "pass="
set "db="

pause