﻿GO

:setvar DefaultDataPath ""
:setvar DefaultLogPath ""

GO
:on error exit
GO
/*
Detect SQLCMD mode and disable script execution if SQLCMD mode is not supported.
To re-enable the script after enabling SQLCMD mode, execute the following:
SET NOEXEC OFF; 
*/
:setvar __IsSqlCmdEnabled "True"
GO
IF N'$(__IsSqlCmdEnabled)' NOT LIKE N'True'
    BEGIN
        PRINT N'SQLCMD mode must be enabled to successfully execute this script.';
        SET NOEXEC ON;
    END


GO
USE [master];

SET NOCOUNT ON;

GO
PRINT N'Copying data from [dbo].[aspnet_WebEvent_Events]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_WebEvent_Events]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_WebEvent_Events]

PRINT N'Copying data from [dbo].[aspnet_UsersInRoles]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_UsersInRoles]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_UsersInRoles]

PRINT N'Copying data from [dbo].[aspnet_Users]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_Users]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_Users]

PRINT N'Copying data from [dbo].[aspnet_Roles]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_Roles]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_Roles]

PRINT N'Copying data from [dbo].[aspnet_Profile]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_Profile]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_Profile]

PRINT N'Copying data from [dbo].[aspnet_PersonalizationPerUser]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_PersonalizationPerUser]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_PersonalizationPerUser]

PRINT N'Copying data from [dbo].[aspnet_PersonalizationAllUsers]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_PersonalizationAllUsers]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_PersonalizationAllUsers]

PRINT N'Copying data from [dbo].[aspnet_Paths]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_Paths]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_Paths]

PRINT N'Copying data from [dbo].[aspnet_Membership]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_Membership]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_Membership]

PRINT N'Copying data from [dbo].[aspnet_Applications]...'
INSERT INTO [$(ToDatabase)].[dbo].[aspnet_Applications]
SELECT * FROM [$(FromDatabase)].[dbo].[aspnet_Applications]

PRINT N'Copying data from [dbo].[RolesInRoles]...'
INSERT INTO [$(ToDatabase)].[dbo].[RolesInRoles]
SELECT * FROM [$(FromDatabase)].[dbo].[RolesInRoles]


PRINT N'Copying data from [dbo].[UserLogins]...'
INSERT INTO [$(ToDatabase)].[dbo].[UserLogins]
SELECT * FROM [$(FromDatabase)].[dbo].[UserLogins]

PRINT N'Copying data from [dbo].[PersistedGrants]...'
INSERT INTO [$(ToDatabase)].[dbo].[PersistedGrants]
SELECT * FROM [$(FromDatabase)].[dbo].[PersistedGrants]

PRINT N'Copying data from [dbo].[ExternalUserData]...'
SET IDENTITY_INSERT [$(ToDatabase)].[dbo].[ExternalUserData] ON;
INSERT INTO [$(ToDatabase)].[dbo].[ExternalUserData] ([Key],[ProviderName],[UserId],[IsActive],[Data])
  SELECT * FROM [$(FromDatabase)].[dbo].[ExternalUserData]
SET IDENTITY_INSERT [$(ToDatabase)].[dbo].[ExternalUserData] OFF;

PRINT N'Copying data from [dbo].[DeviceCodes]...'
INSERT INTO [$(ToDatabase)].[dbo].[DeviceCodes]
SELECT * FROM [$(FromDatabase)].[dbo].[DeviceCodes]

GO

PRINT N'Done...'
